[Fuego] dbench no longer builds on any of my boards

Tim.Bird at sony.com Tim.Bird at sony.com
Tue Mar 27 00:24:29 UTC 2018


I should have held off ACK-ing the patches until my test runs completed.

That issue you mentioned with  dbench requiring libpopt is a killer.
The previous dbench was building for all of my boards, and this one
doesn't build for any of them (OK - that's only 3 toolchains, but still).

The default debian-armhf toolchain doesn't include popt.h, nor
does the yocto project SDK for aarch64, nor does the default
debian x86_64 toolchain.

Is there any way to work around or remove this dependency?

Two options come to mind:
 - patch the code to use something else
 - include the popt code in the test sources, and build it before building dbench.

Let me know what you think.
 -- Tim
 


More information about the Fuego mailing list